Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | Private Attributes | List of all members
Ipopt::RestoConvergenceCheck Class Referenceabstract

Convergence check for the restoration phase. More...

`#include <IpRestoConvCheck.hpp>`

Inheritance diagram for Ipopt::RestoConvergenceCheck:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject More...
virtual ConvergenceStatus | CheckConvergence (bool call_intermediate_callback=true)
| overloaded from ConvergenceCheck More...
virtual void | SetOrigLSAcceptor (const BacktrackingLSAcceptor &orig_ls_acceptor)=0
| Method for setting the LS acceptor from the main algorithm. More...
Constructors/Destructors
| RestoConvergenceCheck ()
| Default Constructor. More...
virtual | ~RestoConvergenceCheck ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::OptimalityErrorConvergenceCheck
virtual bool | CurrentIsAcceptable ()
| Auxilliary function for testing whether current iterate satisfies the acceptable level of optimality. More...
| OptimalityErrorConvergenceCheck ()
| Default Constructor. More...
virtual | ~OptimalityErrorConvergenceCheck ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::ConvergenceCheck
| ConvergenceCheck ()
| Constructor. More...
virtual | ~ConvergenceCheck ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods used by IpoptType. More...
Static Public Member Functions inherited from Ipopt::OptimalityErrorConvergenceCheck
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods for IpoptType. More...

## Private Member Functions
virtual ConvergenceStatus | TestOrigProgress (Number orig_trial_barr, Number orig_trial_theta)=0
| Method for checking progress with original globalization mechanism. More...
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| RestoConvergenceCheck (const RestoConvergenceCheck &)
| Copy Constructor. More...
void | operator= (const RestoConvergenceCheck &)
| Overloaded Equals Operator. More...

## Private Attributes
bool | first_resto_iter_
| Flag indicating that this is the first call. More...
Index | successive_resto_iter_
| Counter for successive iterations in restoration phase. More...
Algorithmic parameters
Number | kappa_resto_
| Fraction of required reduction in infeasibility before problem is considered to be solved. More...
Index | maximum_iters_
| Maximum number of iterations in restoration phase. More...
Index | maximum_resto_iters_
| Maximum number of succesive iterations in restoration phase. More...
Number | orig_constr_viol_tol_
| Constraint violation tolerance for original algorithm. More...

## Additional Inherited Members
Public Types inherited from Ipopt::ConvergenceCheck
enum | ConvergenceStatus { CONTINUE, CONVERGED, CONVERGED_TO_ACCEPTABLE_POINT, MAXITER_EXCEEDED, CPUTIME_EXCEEDED, DIVERGING, USER_STOP, FAILED }
| Convergence return enum. More...
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const
Protected Attributes inherited from Ipopt::OptimalityErrorConvergenceCheck
Index | max_iterations_
| Maximal number of iterations. More...
Number | dual_inf_tol_
| Tolerance on unscaled dual infeasibility. More...
Number | constr_viol_tol_
| Tolerance on unscaled constraint violation. More...
Number | compl_inf_tol_
| Tolerance on unscaled complementarity. More...
Index | acceptable_iter_
| Number of iterations with acceptable level of accuracy, after which the algorithm terminates. More...
Number | acceptable_tol_
| Acceptable tolerance for the problem to terminate earlier if algorithm seems stuck or cycling. More...
Number | acceptable_dual_inf_tol_
| Acceptable tolerance on unscaled dual infeasibility. More...
Number | acceptable_constr_viol_tol_
| Acceptable tolerance on unscaled constraint violation. More...
Number | acceptable_compl_inf_tol_
| Acceptable tolerance on unscaled complementarity. More...
Number | acceptable_obj_change_tol_
| Acceptable tolerance for relative objective function change from iteratoin to iteration. More...
Number | diverging_iterates_tol_
| Threshold for primal iterates for divergence test. More...
Number | mu_target_
| Desired value of the barrier parameter. More...
Number | max_cpu_time_
| Upper bound on CPU time. More...

## Detailed Description

Convergence check for the restoration phase.

This inherits from the OptimalityErrorConvergenceCheck so that the method for the regular optimality error convergence criterion can be checked as well. In addition, this convergence check returns the CONVERGED message, if the current iteration is acceptable to the original globalization scheme.

Definition at line 29 of file IpRestoConvCheck.hpp.

## Constructor & Destructor Documentation

Ipopt::RestoConvergenceCheck::RestoConvergenceCheck | ( |  | ) |

Default Constructor.

virtual Ipopt::RestoConvergenceCheck::~RestoConvergenceCheck | ( |  | ) |
| virtual

Default destructor.

Ipopt::RestoConvergenceCheck::RestoConvergenceCheck | ( | const RestoConvergenceCheck & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::RestoConvergenceCheck::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

overloaded from AlgorithmStrategyObject

Reimplemented from Ipopt::OptimalityErrorConvergenceCheck.

Reimplemented in Ipopt::RestoFilterConvergenceCheck, and Ipopt::RestoPenaltyConvergenceCheck.

virtual ConvergenceStatus Ipopt::RestoConvergenceCheck::CheckConvergence | ( | bool | call_intermediate_callback = `true` | ) |
| virtual

overloaded from ConvergenceCheck

Reimplemented from Ipopt::OptimalityErrorConvergenceCheck.

virtual void Ipopt::RestoConvergenceCheck::SetOrigLSAcceptor | ( | const BacktrackingLSAcceptor & | orig_ls_acceptor | ) |
| pure virtual

Method for setting the LS acceptor from the main algorithm.

Implemented in Ipopt::RestoFilterConvergenceCheck, and Ipopt::RestoPenaltyConvergenceCheck.

static void Ipopt::RestoConvergenceCheck::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) |
| static

Methods used by IpoptType.

void Ipopt::RestoConvergenceCheck::operator= | ( | const RestoConvergenceCheck & |  | ) |
| private

Overloaded Equals Operator.

virtual ConvergenceStatus Ipopt::RestoConvergenceCheck::TestOrigProgress | ( | Number | orig_trial_barr,
|  | Number | orig_trial_theta
| ) |  |
| private pure virtual

Method for checking progress with original globalization mechanism.

This needs to be overloaded

Implemented in Ipopt::RestoFilterConvergenceCheck, and Ipopt::RestoPenaltyConvergenceCheck.

## Member Data Documentation

Number Ipopt::RestoConvergenceCheck::kappa_resto_
| private

Fraction of required reduction in infeasibility before problem is considered to be solved.

Definition at line 79 of file IpRestoConvCheck.hpp.

Index Ipopt::RestoConvergenceCheck::maximum_iters_
| private

Maximum number of iterations in restoration phase.

Definition at line 81 of file IpRestoConvCheck.hpp.

Index Ipopt::RestoConvergenceCheck::maximum_resto_iters_
| private

Maximum number of succesive iterations in restoration phase.

Definition at line 83 of file IpRestoConvCheck.hpp.

Number Ipopt::RestoConvergenceCheck::orig_constr_viol_tol_
| private

Constraint violation tolerance for original algorithm.

Definition at line 85 of file IpRestoConvCheck.hpp.

bool Ipopt::RestoConvergenceCheck::first_resto_iter_
| private

Flag indicating that this is the first call.

We don't want to leave the restoration phase without taking at least one step, so this flag is used to ensure this.

Definition at line 91 of file IpRestoConvCheck.hpp.

Index Ipopt::RestoConvergenceCheck::successive_resto_iter_
| private

Counter for successive iterations in restoration phase.

Definition at line 94 of file IpRestoConvCheck.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpRestoConvCheck.hpp